"""
Identifier:     csst-l1/msc/csst_msc_instrument/csst_msc_instrument/image/__init__.py
Name:           __init__.py
Description:    Instrument effect module (basic operations).
Author:         Li Shao (shaoli@nao.cas.cn)
Created:        2023-11-27
Modified-History:
    2023-11-27, Li Shao, created
    2024-02-06, Li Shao, move to csst_msc_instrument
"""

from .basic import subtract_bias, subtract_dark
from .crosstalk import remove_crosstalk
from .gain import apply_gain
from .overscan import correct_overscan
from .config import FlagConfig, CameraConfig, CCDArrayConfig, get_array_config
from .format import convert_format

__all__ = ['correct_overscan', 'apply_gain', 'subtract_bias', 'remove_crosstalk', 'subtract_dark', 
'FlagConfig', 'CameraConfig', 'CCDArrayConfig', 'get_array_config','convert_format', ]